#!/usr/bin/perl -W
 
use strict;
use Qt;
use Switch;
use Radados::AutoPath qw(:DEFAULT $LocalRunPath);

# Set print options like so 
#-o orientation=landscape,paper=legal
# Options are orientation=[ landscape | portrait ] paper=[ legal | letter ]

my $LocalRunPath = "/usr/bin/";
my $FileToPrint;
my $PrintJobTitle = "Print Job".$$;
my $PrintOptions;
my $Argument;
while ($#ARGV > -1)
{
	$Argument = shift @ARGV;
	switch($Argument)
	{
		case "-f"	
		{
			$FileToPrint = shift @ARGV;
		}
		
		case "-t"
		{
			$PrintJobTitle = shift @ARGV;
		}
		
		case "-o"
		{
			$PrintOptions = shift @ARGV;
		}
	}	
}

require "PrinterDialogForm.pm";

my $App1 = Qt::Application(\@ARGV);
my $PrinterDialogForm1 = new PrinterDialogForm();
$App1->setStyle("Windows");
$PrinterDialogForm1->SetAppRootPath($LocalRunPath);
if($PrintOptions gt "")
{
	$PrinterDialogForm1->SetPrintOptions($PrintOptions);
}
$PrinterDialogForm1->SetFileToPrint($FileToPrint);
$PrinterDialogForm1->SetApplicationPid($$);
$PrinterDialogForm1->SetPrintJobTitle($PrintJobTitle);
$App1->setMainWidget($PrinterDialogForm1);
$PrinterDialogForm1->show;
exit $App1->exec;
